Skip to content

List your report webhook endpoints

GET
/reports/webhooks

Returns your registered endpoints. Secrets are never included.

Authorizations

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Responses

Your endpoints.

application/json
JSON
{
  
"status": "success",
  
"code": 0,
  
"msg": "",
  
"data": [
  
  
{
  
  
  
"id": 0,
  
  
  
"url": "string",
  
  
  
"role": "string",
  
  
  
"is_active": true,
  
  
  
"created_at": "string",
  
  
  
"updated_at": "string"
  
  
}
  
]
}

Playground

Authorization
Headers

Samples

Powered by VitePress OpenAPI